ServerEvents.recipes(event => {
      event.custom({
type: "thermal:smelter",
  ingredients: [
    { item: "minecraft:iron_ingot", count: 1 },
    { item: "minecraft:redstone", count: 1 }
  ],
  result: [{ item: "extendedcrafting:redstone_ingot", count: 1 }],
  energy: 16000
})
event.custom({
type: "thermal:smelter",
  ingredients: [
    { item: "minecraft:iron_ingot", count: 1 },
    { item: "minecraft:ender_pearl", count: 1 }
  ],
  result: [{ item: "extendedcrafting:ender_ingot", count: 1 }],
  energy: 16000
})
})